GET
/api/v1/pre-paid-date-range-usage/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/pre-paid-date-range-usage/?start_date=<START_DATE>&end_date=<END_DATE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/pre-paid-date-range-usage/", params={"start_date": "<START_DATE>", "end_date": "<END_DATE>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/pre-paid-date-range-usage/");url.search = new URLSearchParams({ start_date: "<START_DATE>", end_date: "<END_DATE>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves prepaid usage details for a given date range. Allows filtering by summary type (e.g., Node) along with project and location.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”start_date
required
string
Example
20-01-2025Start date for the billing estimate (format- DD-MM-YYYY).
end_date
required
string
Example
20-02-2025End date for the billing estimate (format- DD-MM-YYYY).
summary_type
string
Example
NodeSummary type for grouping the usage data.
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Prepaid usage details for the given date range.
Media typeapplication/json
object
code
integer
data
Array<object>
object
name
string
description
string
project_id
integer
created_at__date
string format: date
total_amount
number
project_name
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "name": "ADDON IP", "description": "164.52.207.136 addon ip", "project_id": 40473, "created_at__date": "2025-04-23", "total_amount": 199, "project_name": "default-project-35380" } ], "errors": {}, "message": "Success"}